Subject: [NON-WHINE] RE: mkstemp vs. text mode
From: "Gary R. Van Sickle" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 19 Apr 2006 20:55:51 -0500

> From: Gary R. Van Sickle
> 
> > From: Gary R. Van Sickle
> > 
> > > From: Christopher Faylor
> > [snip]
> > > Yes, I think it makes sense to open temp files in binary
> > but I'll bet
> > > that someone is relying on textmode behavior.
> > 
> > I'll see that bet and raise you; I'll bet this results in massive 
> > problems.
> > 

Welp, looks like I (probably) lose that hand (happily).  Using:

CYGWIN_NT-5.1 DFW5RB41 1.5.20s(0.155/4/2) 20060418 12:31:05 i686 Cygwin

with a /tmp mounted as text mode works fine for a configure, build, and
install of wxWindows.  The configure does most of the temp file
machinations, with about 2000 add, modify, and remove events in the /tmp
directory, as reported by a program I have for monitoring such things.

-- 
Gary R. Van Sickle

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/